Skip to main content
GET
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.platnova.com/v1/transactions \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.platnova.com/v1/transactions"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.platnova.com/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": {
    "items": [
      {
        "id": "trx_43a2b75e-5c59-429e-872a-2a54c7b17e34",
        "ref": "UTR_7HeRoy4CRl6hcOOqAzwAeo0WLLMMbt",
        "amount": "100.50",
        "fee": "10.00",
        "type": "transfer",
        "status": "success",
        "entry": "debit",
        "message": "Bank transfer to John Doe",
        "created_at": "2026-01-30T14:22:00Z",
        "wallet": {},
        "payment_transfer": {}
      }
    ],
    "page": 0,
    "size": 20,
    "max_page": 5,
    "total_pages": 6,
    "total": 112,
    "last": false,
    "first": true,
    "visible": 20
  },
  "error": [],
  "message": "operation was successful"
}
{
"status": true,
"data": {},
"error": [
"<unknown>"
],
"message": "<string>"
}

Overview

Retrieve a paginated list of all transactions associated with your account. This endpoint allows you to view transaction history with filtering and sorting options.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Query Parameters

page
integer

Page number (0-indexed)

size
integer

Number of items per page

sort
string

Sort field and direction

filters
string

Filter expression

export
string

Set to export results as CSV

customer_id
string

Filter by customer ID

Response

Transactions retrieved successfully (or CSV when export is set)

status
boolean
data
object
error
any[]
message
string